package ru.yandex.autotests.directapi.model.api5.retargetinglists;

import com.yandex.direct.api.v5.retargetinglists.RetargetingListUpdateItem;

public class RetargetingListUpdateItemMap extends RetargetingListBaseMap<RetargetingListUpdateItemMap> {
    public static final String ID = "id";

    public RetargetingListUpdateItemMap() {
        super();
        setBean(new RetargetingListUpdateItem());
    }

    public RetargetingListUpdateItemMap(RetargetingListUpdateItem retargetingListsUpdateItem) {
        super();
        setBean(retargetingListsUpdateItem);
    }

    public RetargetingListUpdateItemMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public RetargetingListUpdateItemMap withId(long id) {
        this.put(ID, id);
        return this;
    }
}
